#!/bin/sh

# Mumble (Murmur) install on Fedora 37

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server. Leaving this blank will make the server public.
SERVER_PASSWORD='SET_A_PASSWORD_HERE_IF_YOU_WANT'

# Vultr broken NS fix
# echo "DNS=1.1.1.1" >> /etc/systemd/resolved.conf
# systemctl restart systemd-resolved.service

# Disable firewalld (Cloud provider firewall will suffice)
systemctl stop firewalld

# Install Murmur/mumble-server
dnf install -y mumble-server

# OPTIONAL - Manually set DH from 2048 to 4096, manually generate SSL cert with 4096 RSA.
# If you just ignore this, mumble will do it's default DH 2048 and generate an SSL cert with 2048 RSA.
openssl req -x509 -nodes -days 365 -subj '/CN=mumbleserver/O=mumbleserver/C=SG' -newkey rsa:4096 -keyout /etc/ssl.key -out /etc/ssl.crt
chmod 644 /etc/ssl.crt
chmod 644 /etc/ssl.key
sed -i -e 's/;sslCert=/sslCert=ssl.crt/g' /etc/murmur.ini
sed -i -e 's/;sslKey=/sslKey=ssl.key/g' /etc/murmur.ini

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server
sed -i -e "s/serverpassword=/serverpassword=$SERVER_PASSWORD/g" /etc/murmur.ini

# Fix perms so murmur service can access DB
chown -R mumble-server:mumble-server /var/lib/mumble-server/

# Start Murmur server
systemctl start murmur

